bk://bk.arm.linux.org.uk/linux-2.6-rmk
rmk@flint.arm.linux.org.uk|ChangeSet|20050106001721|25410 rmk

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2005/01/06 00:17:21+00:00 rmk@flint.arm.linux.org.uk 
#   [ARM] Update mach-types file.
#   
#   Signed-off-by: Russell King <rmk@arm.linux.org.uk>
# 
# arch/arm/tools/mach-types
#   2005/01/06 00:12:49+00:00 rmk@flint.arm.linux.org.uk +37 -4
#   Update.
# 
# ChangeSet
#   2005/01/05 23:58:22+00:00 rmk@flint.arm.linux.org.uk 
#   [ARM] Quieten compiler warnings, etc with ARM set_pmd()
#   
#   Signed-off-by: Russell King <rmk@arm.linux.org.uk>
# 
# include/asm-arm/pgtable.h
#   2005/01/05 23:55:41+00:00 rmk@flint.arm.linux.org.uk +1 -1
#   Ensure set_pmd behaves like a function.
# 
# arch/arm/mm/mm-armv.c
#   2005/01/05 23:55:41+00:00 rmk@flint.arm.linux.org.uk +1 -1
#   Kill parens warning
# 
# ChangeSet
#   2005/01/05 23:44:45+00:00 buytenh@org.rmk.(none) 
#   [ARM PATCH] 2351/1: fix compilation for ixp2000 enp2611 and ixdp2400 platforms
#   
#   Patch from Lennert Buytenhek
#   
#   Instead of 'struct sys_timer', the ixdp2400 code has 'struct timer' and the enp2611 has just 'struct', preventing compilation for both machine types.  This patch fixes it up.
#   
#   Signed-off-by: Lennert Buytenhek
#   Signed-off-by: Russell King
# 
# arch/arm/mach-ixp2000/ixdp2400.c
#   2005/01/05 18:28:28+00:00 buytenh@org.rmk.(none) +1 -1
#   [PATCH] 2351/1: fix compilation for ixp2000 enp2611 and ixdp2400 platforms
# 
# arch/arm/mach-ixp2000/enp2611.c
#   2005/01/05 18:28:33+00:00 buytenh@org.rmk.(none) +1 -1
#   [PATCH] 2351/1: fix compilation for ixp2000 enp2611 and ixdp2400 platforms
# 
# ChangeSet
#   2005/01/05 23:38:44+00:00 dsaxena@net.rmk.(none) 
#   [ARM PATCH] 2348/1: Fix IXDP2800 PCI irq mapping
#   
#   Patch from Deepak Saxena
#   
#   Our case statments are looking at the devfn, but the existing code
#   does a switch(PCI_SLOT(dev->devfn)). This causes all PCI devices 
#   behind the first bridge to be configured with IRQ 0. Bad.
#   
#   Signed-off-by: Deepak Saxena
#   Signed-off-by: Russell King
# 
# arch/arm/mach-ixp2000/ixdp2800.c
#   2005/01/05 00:26:43+00:00 dsaxena@net.rmk.(none) +1 -1
#   [PATCH] 2348/1: Fix IXDP2800 PCI irq mapping
# 
diff -Nru a/arch/arm/mach-ixp2000/enp2611.c b/arch/arm/mach-ixp2000/enp2611.c
--- a/arch/arm/mach-ixp2000/enp2611.c	2005-01-05 18:07:42 -08:00
+++ b/arch/arm/mach-ixp2000/enp2611.c	2005-01-05 18:07:42 -08:00
@@ -57,7 +57,7 @@
 	ixp2000_init_time(50 * 1000 * 1000);
 }
 
-static struct enp2611_timer = {
+static struct sys_timer enp2611_timer = {
 	.init		= enp2611_timer_init,
 	.offset		= ixp2000_gettimeoffset,
 };
diff -Nru a/arch/arm/mach-ixp2000/ixdp2400.c b/arch/arm/mach-ixp2000/ixdp2400.c
--- a/arch/arm/mach-ixp2000/ixdp2400.c	2005-01-05 18:07:42 -08:00
+++ b/arch/arm/mach-ixp2000/ixdp2400.c	2005-01-05 18:07:42 -08:00
@@ -56,7 +56,7 @@
 	ixp2000_init_time(((3125000 * numerator) / (denominator)) / 2);
 }
 
-static struct timer ixdp2400_timer = {
+static struct sys_timer ixdp2400_timer = {
 	.init		= ixdp2400_timer_init,
 	.offset		= ixp2000_gettimeoffset,
 };
diff -Nru a/arch/arm/mach-ixp2000/ixdp2800.c b/arch/arm/mach-ixp2000/ixdp2800.c
--- a/arch/arm/mach-ixp2000/ixdp2800.c	2005-01-05 18:07:42 -08:00
+++ b/arch/arm/mach-ixp2000/ixdp2800.c	2005-01-05 18:07:42 -08:00
@@ -113,7 +113,7 @@
 		 * Device behind the first bridge
 		 */
 		if(dev->bus->self->devfn == IXDP2X00_P2P_DEVFN) {
-			switch(PCI_SLOT(dev->devfn)) {
+			switch(dev->devfn) {
 				case IXDP2X00_PMC_DEVFN:
 					return IRQ_IXDP2800_PMC;	
 			
diff -Nru a/arch/arm/mm/mm-armv.c b/arch/arm/mm/mm-armv.c
--- a/arch/arm/mm/mm-armv.c	2005-01-05 18:07:42 -08:00
+++ b/arch/arm/mm/mm-armv.c	2005-01-05 18:07:42 -08:00
@@ -526,7 +526,7 @@
 			pmdval |= PMD_BIT4;
 		pmd = pmd_offset(pgd + i, i << PGDIR_SHIFT);
 		set_pmd(pmd, __pmd(pmdval));
-		set_pmd(pmd + 1, __pmd(pmdval + 1 << (PGDIR_SHIFT - 1)));
+		set_pmd(pmd + 1, __pmd(pmdval + (1 << (PGDIR_SHIFT - 1))));
 	}
 }
 
diff -Nru a/arch/arm/tools/mach-types b/arch/arm/tools/mach-types
--- a/arch/arm/tools/mach-types	2005-01-05 18:07:42 -08:00
+++ b/arch/arm/tools/mach-types	2005-01-05 18:07:42 -08:00
@@ -6,7 +6,7 @@
 # To add an entry into this database, please see Documentation/arm/README,
 # or contact rmk@arm.linux.org.uk
 #
-# Last update: Sun Nov 7 13:20:41 2004
+# Last update: Thu Jan 6 00:10:23 2005
 #
 # machine_is_xxx	CONFIG_xxxx		MACH_TYPE_xxx		number
 #
@@ -226,7 +226,7 @@
 pnp1110			SA1100_PNP1110		PNP1110			215
 csb226			ARCH_CSB226		CSB226			216
 arnold			SA1100_ARNOLD		ARNOLD			217
-psiboard		SA1100_PSIBOARD		PSIBOARD		218
+voiceblue		SA1100_PSIBOARD		PSIBOARD		218
 jz8028			ARCH_JZ8028		JZ8028			219
 h5400			ARCH_H5400		H5400			220
 forte			SA1100_FORTE		FORTE			221
@@ -250,8 +250,8 @@
 pdb			ARCH_PDB		PDB			239
 blue_2g			SA1100_BLUE_2G		BLUE_2G			240
 bluearch		SA1100_BLUEARCH		BLUEARCH		241
-ixdp2400		ARCH_IXDB2400		IXDB2400		242
-ixdp2800		ARCH_IXDB2800		IXDB2800		243
+ixdp2400		ARCH_IXDP2400		IXDP2400		242
+ixdp2800		ARCH_IXDP2800		IXDP2800		243
 explorer		SA1100_EXPLORER		EXPLORER		244
 ixdp425			ARCH_IXDP425		IXDP425			245
 chimp			ARCH_CHIMP		CHIMP			246
@@ -634,3 +634,36 @@
 cm4008			MACH_CM4008		CM4008			624
 p2001			MACH_P2001		P2001			625
 twister			MACH_TWISTER		TWISTER			626
+mudshark		MACH_MUDSHARK		MUDSHARK		627
+hb2			MACH_HB2		HB2			628
+iq80332			MACH_IQ80332		IQ80332			629
+sendt			MACH_SENDT		SENDT			630
+mx2jazz			MACH_MX2JAZZ		MX2JAZZ			631
+multiio			MACH_MULTIIO		MULTIIO			632
+hrdisplay		MACH_HRDISPLAY		HRDISPLAY		633
+scma11bb		MACH_SCMA11BB		SCMA11BB		634
+trizeps3		MACH_TRIZEPS3		TRIZEPS3		635
+zefeerdza		MACH_ZEFEERDZA		ZEFEERDZA		636
+zefeerdzb		MACH_ZEFEERDZB		ZEFEERDZB		637
+zefeerdzg		MACH_ZEFEERDZG		ZEFEERDZG		638
+zefeerdzn		MACH_ZEFEERDZN		ZEFEERDZN		639
+zefeerdzq		MACH_ZEFEERDZQ		ZEFEERDZQ		640
+gtwx5715		MACH_GTWX5715		GTWX5715		641
+unknown			MACH_VL420		VL420			642
+astro_jack		MACH_ASTRO_JACK		ASTRO_JACK		643
+tip03			MACH_TIP03		TIP03			644
+a9200ec			MACH_A9200EC		A9200EC			645
+pnx0105			MACH_PNX0105		PNX0105			646
+adcpoecpu		MACH_ADCPOECPU		ADCPOECPU		647
+csb637			MACH_CSB637		CSB637			648
+ml69q6203		MACH_ML69Q6203		ML69Q6203		649
+mb9200			MACH_MB9200		MB9200			650
+kulun			MACH_KULUN		KULUN			651
+snapper			MACH_SNAPPER		SNAPPER			652
+optima			MACH_OPTIMA		OPTIMA			653
+dlhsbc			MACH_DLHSBC		DLHSBC			654
+x30			MACH_X30		X30			655
+n30			MACH_N30		N30			656
+manga_ks8695		MACH_MANGA_KS8695	MANGA_KS8695		657
+ajax			MACH_AJAX		AJAX			658
+nec_mp900		MACH_NEC_MP900		NEC_MP900		659
diff -Nru a/include/asm-arm/pgtable.h b/include/asm-arm/pgtable.h
--- a/include/asm-arm/pgtable.h	2005-01-05 18:07:42 -08:00
+++ b/include/asm-arm/pgtable.h	2005-01-05 18:07:42 -08:00
@@ -310,7 +310,7 @@
 
 #define set_pmd(pmdp,pmd)		\
 	do {				\
-		*pmdp = pmd;		\
+		*(pmdp) = pmd;		\
 		flush_pmd_entry(pmdp);	\
 	} while (0)
 
